export class Login {
    private _type: string;
    private _username: string;
    private _password: string;

    constructor(type: string, username: string, password: string) {
        this._type = type;
        this._username = username;
        this._password = password;
    }

    get type(): string {
        return this._type;
    }

    set type(value: string) {
        this._type = value;
    }

    get username(): string {
        return this._username;
    }

    set username(value: string) {
        this._username = value;
    }

    get password(): string {
        return this._password;
    }

    set password(value: string) {
        this._password = value;
    }
}

export class LoginType {
    type: string
    name: string

    constructor(type: string, name: string) {
        this.type = type;
        this.name = name;
    }

    //临时的数据信息
}